Bug 78486 - update to kernel 2.4.18-18.7.x. fails on QLA
update to kernel 2.4.18-18.7.x. fails on QLA
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-24 08:25 EST by Patrick C. F. Ernzer
Modified: 2007-04-18 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 16:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2002-11-24 08:25:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
updating to kernel 2.4.18-18.7.x fails on making the initrd

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. use up2date to update kernel
2. apply kernel errata (2.4.18-18.7.x)
3. failure to build initrd because qla2x00 not present in this kernel
	

Actual Results:  we look for qla2x00

Expected Results:  while it's good to use the new driver, we should either edit
modules.conf ourselves (from up2date) or have a clear warining in the errata
text (RHSA-2002:262-07)

Additional info:

I got this via a 24x7 call and customer had solved problem before I called him.
Hence the non-reproducing of the bug.

If you have Issue Tracker access, it's #11287
Comment 1 Adrian Likins 2002-11-25 16:46:26 EST
Sounds to me like a kernel packaging bug?

As far as having up2date edit modules.conf, I
think it would be a bad idea to add any more
of that kind of special casing to up2date.

Comment 2 Patrick C. F. Ernzer 2002-11-26 05:39:51 EST
shall we move the bug to 'kernel' then?

We either need to include a line in the errata text if this happens in the
future (minimal solution) or make it work automatically (ideal)

Actually arjan told me kudzu should have picked up the change, hence we're
attempting to reproduce this in-house.
Comment 3 Rob Landry 2002-12-11 16:41:55 EST
I was able to duplicate this here.  Arjan thought kudzu should remap this;
however the latest kudzu for 7.2 still maps to qla2x00.  And yes; the same thing
would happen if you just got the package and attempted to "rpm -ivh" so I'm
moving this to a kernel bug.  It may be fixable by requiring a newer kudzu but
I'll leave that for them to figure out.
Comment 4 Patrick C. F. Ernzer 2003-02-17 07:45:43 EST
Update, also saw this failure when following these steps (report from customer)

kickstart RHL 7.2
up2date up2date
up2adte -f kernel

there is no error message but we fail to make an initrd and we fail to add an
entry to the bootloader for the initrd (title and kernel line are there allright)

Quick fix is of course to make initrd (needs changing of modules.conf for
qla2300). FWIW rootfs is on a cciss controller. data partitions are on the qla.

this is when going to 2.4.18-24.7.x

Note You need to log in before you can comment on or make changes to this bug.